//
//    
//
//      DDSLOT.DCL 2.2
//
// (c) September 1995, Greg MacGeorge
// DDSLOT.DCL - Used to get input for the DDSLOT.LSP program.



dcl_settings : default_dcl_settings { audit_level = 0; }

slot : dialog {
    label = "SLOT";
        :column {
            :image {
                key = "image";
                width = 20.0;
                aspect_ratio = 1.0;
                }
            :edit_box {
                label = "Length: ";
                key = "length";
                width = 8;
                }
            :edit_box {
                label = "Width: ";
                key = "width";
                width = 8;
                }
        }
        spacer_1;
        : boxed_column {
        label = "Center Point";
           :radio_button {
                key = "ltcen";
                label = "Left";
                }
            :radio_button {
                key = "cen";
                label = "Center";
                }
            :radio_button {
                key = "rtcen";
                label = "Right";
                }
        }
        spacer_1;
        : boxed_row {
        label = "Messages";
            : text {
                key = "message";
                fixed_width;
                }
        }
        :row {ok_button; cancel_button;}
}
//
//
//
//
registr : dialog {
    label = "DDSLOT.LSP Registration";
        : boxed_column {
        : text {
            label = "              DDSLOT SHAREWARE VERSION 2.2";
            }
        }
        spacer_1;
        : boxed_column {
        : text {
            label = "      This program is NOT a registered version!!";
            }
        :boxed_row {
        :column {
        : text {
            label = "DDSLOT.LSP will become disabled after";
            }}
        :column {
        : text {
            key = "run_count";
            label = "";
            fixed_width = true;
            width = 2;
            }}
        :column {
        : text {
            label = "more executions";
            }}
        }

        spacer_1;
        : text {
            label = "To register: E-Mail Greg M. MacGeorge 76725,1023";
            }
        spacer_1;
        : text {
            label = "When registration is complete you get:";
            }
        : text {
            label = "1. The latest program version";
            }
        : text {
            label = "   with all working features.";
            }
        : text {
            label = "2. Full program documentation.";
            }
        : text {
            label = "3. Notification of program updates.";
            }
        spacer_1;
        : text {
            label = "   $9.95 + $1.50 S/H";
            }
        }
        :row {cancel_button;}
}
